// python wrapper for vtkGDCMMedicalImageProperties object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMMedicalImageProperties.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMMedicalImagePropertiesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMMedicalImagePropertiesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMedicalImagePropertiesNew(char *); }

static PyObject *PyvtkGDCMMedicalImageProperties_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMMedicalImageProperties *op;

  const char    *temp20;
  op = (vtkGDCMMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMMedicalImageProperties::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMMedicalImageProperties_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMMedicalImageProperties *op;

  char    *temp0;
  int      temp20;
  op = (vtkGDCMMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMMedicalImageProperties::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMMedicalImageProperties_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMMedicalImageProperties *op;

  vtkGDCMMedicalImageProperties  *temp20;
  op = (vtkGDCMMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMMedicalImageProperties::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMMedicalImageProperties_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGDCMMedicalImageProperties  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGDCMMedicalImageProperties::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGDCMMedicalImageProperties_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMMedicalImageProperties *op;

  op = (vtkGDCMMedicalImageProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMMedicalImageProperties::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGDCMMedicalImagePropertiesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGDCMMedicalImageProperties_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGDCMMedicalImageProperties_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGDCMMedicalImageProperties_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMMedicalImageProperties\nC++: vtkGDCMMedicalImageProperties *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGDCMMedicalImageProperties_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMMedicalImageProperties\nC++: vtkGDCMMedicalImageProperties *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkGDCMMedicalImageProperties_Clear, 1,
   (char*)"V.Clear()\nC++: virtual void Clear ();\n\n Convenience method to reset all fields to an emptry string/value\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGDCMMedicalImagePropertiesDoc[] = {
  (char*)"vtkGDCMMedicalImageProperties - some medical image properties.\n\n",
  "Super Class:\n\n vtkMedicalImageProperties\n\n",
  (char*)" vtkGDCMMedicalImageProperties is a helper class that can be used by medical\n image readers and applications to encapsulate medical image/acquisition\n properties. Later on, this should probably be extended to add\n any user-defined property.\n\n",
  "See Also:\n\n vtkMedicalImageReader2\n\n",
  NULL
};

static vtkObjectBase *vtkGDCMMedicalImagePropertiesStaticNew()
{
  return vtkGDCMMedicalImageProperties::New();
}

PyObject *PyVTKClass_vtkGDCMMedicalImagePropertiesNew(char *modulename)
{
  return PyVTKClass_New(&vtkGDCMMedicalImagePropertiesStaticNew,
                        PyvtkGDCMMedicalImagePropertiesMethods,
                        (char*)"vtkGDCMMedicalImageProperties",modulename,
                        (char**)vtkGDCMMedicalImagePropertiesDoc,
                        PyVTKClass_vtkMedicalImagePropertiesNew(modulename));
}

