// python wrapper for vtkImageColorViewer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageColorViewer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageColorViewerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageColorViewerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkImageColorViewer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  const char    *temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkImageColorViewer  *temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageColorViewer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageColorViewer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetWindowName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  const char    *temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetWindowName();
      }
    else
      {
      temp20 = op->GetWindowName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkImageData  *temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetInputConnection(temp0);
      }
    else
      {
      op->SetInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImageColorViewer_AddInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::AddInputConnection(temp0);
      }
    else
      {
      op->AddInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkImageColorViewer_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetOverlayVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  double   temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetOverlayVisibility();
      }
    else
      {
      temp20 = op->GetOverlayVisibility();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetOverlayVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  double   temp0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetOverlayVisibility(temp0);
      }
    else
      {
      op->SetOverlayVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetSliceOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetSliceOrientation();
      }
    else
      {
      temp20 = op->GetSliceOrientation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetSliceOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetSliceOrientation(temp0);
      }
    else
      {
      op->SetSliceOrientation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetSliceOrientationToXY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetSliceOrientationToXY();
      }
    else
      {
      op->SetSliceOrientationToXY();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetSliceOrientationToYZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetSliceOrientationToYZ();
      }
    else
      {
      op->SetSliceOrientationToYZ();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetSliceOrientationToXZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetSliceOrientationToXZ();
      }
    else
      {
      op->SetSliceOrientationToXZ();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetSlice();
      }
    else
      {
      temp20 = op->GetSlice();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetSlice(temp0);
      }
    else
      {
      op->SetSlice(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_UpdateDisplayExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::UpdateDisplayExtent();
      }
    else
      {
      op->UpdateDisplayExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetSliceMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetSliceMin();
      }
    else
      {
      temp20 = op->GetSliceMin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetSliceMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetSliceMax();
      }
    else
      {
      temp20 = op->GetSliceMax();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetSliceRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int    temp0[2];
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::GetSliceRange(temp0);
      }
    else
      {
      op->GetSliceRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  double   temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetColorWindow();
      }
    else
      {
      temp20 = op->GetColorWindow();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  double   temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetColorLevel();
      }
    else
      {
      temp20 = op->GetColorLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  double   temp0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetColorWindow(temp0);
      }
    else
      {
      op->SetColorWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  double   temp0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetColorLevel(temp0);
      }
    else
      {
      op->SetColorLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetDisplayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  void    *temp0;
  int      size0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkImageColorViewer was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkImageColorViewer was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetDisplayId(temp0);
      }
    else
      {
      op->SetDisplayId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  void    *temp0;
  int      size0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkImageColorViewer was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkImageColorViewer was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetWindowId(temp0);
      }
    else
      {
      op->SetWindowId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetParentId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  void    *temp0;
  int      size0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkImageColorViewer was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkImageColorViewer was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetParentId(temp0);
      }
    else
      {
      op->SetParentId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp0;
  int      temp1;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetPosition(temp0,temp1);
      }
    else
      {
      op->SetPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp0;
  int      temp1;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetSize(temp0,temp1);
      }
    else
      {
      op->SetSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetSize(temp0);
      }
    else
      {
      op->SetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkRenderWindow  *temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkRenderer  *temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetImageActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkImageActor  *temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetImageActor();
      }
    else
      {
      temp20 = op->GetImageActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetWindowLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkImageMapToWindowLevelColors2  *temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetWindowLevel();
      }
    else
      {
      temp20 = op->GetWindowLevel();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetInteractorStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkInteractorStyleImage  *temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetInteractorStyle();
      }
    else
      {
      temp20 = op->GetInteractorStyle();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetupInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetupInteractor(temp0);
      }
    else
      {
      op->SetupInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkImageColorViewer_SetOffScreenRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetOffScreenRendering(temp0);
      }
    else
      {
      op->SetOffScreenRendering(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_GetOffScreenRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetOffScreenRendering();
      }
    else
      {
      temp20 = op->GetOffScreenRendering();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_OffScreenRenderingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::OffScreenRenderingOn();
      }
    else
      {
      op->OffScreenRenderingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageColorViewer_OffScreenRenderingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::OffScreenRenderingOff();
      }
    else
      {
      op->OffScreenRenderingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkImageColorViewer_GetWholeZMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetWholeZMin();
      }
    else
      {
      temp20 = op->GetWholeZMin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkImageColorViewer_GetWholeZMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetWholeZMax();
      }
    else
      {
      temp20 = op->GetWholeZMax();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkImageColorViewer_GetZSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp20;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageColorViewer::GetZSlice();
      }
    else
      {
      temp20 = op->GetZSlice();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkImageColorViewer_SetZSlice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageColorViewer *op;

  int      temp0;
  op = (vtkImageColorViewer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageColorViewer::SetZSlice(temp0);
      }
    else
      {
      op->SetZSlice(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkImageColorViewerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageColorViewer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageColorViewer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageColorViewer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageColorViewer\nC++: vtkImageColorViewer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageColorViewer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageColorViewer\nC++: vtkImageColorViewer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetWindowName",                (PyCFunction)PyvtkImageColorViewer_GetWindowName, 1,
   (char*)"V.GetWindowName() -> string\nC++: virtual const char *GetWindowName ();\n\n Get the name of rendering window.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkImageColorViewer_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render (void );\n\n Render the resulting image.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageColorViewer_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *in);\n\n Set/Get the input image to the viewer.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageColorViewer_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: virtual vtkImageData *GetInput ();\n\n Set/Get the input image to the viewer.\n"},
  {(char*)"SetInputConnection",                (PyCFunction)PyvtkImageColorViewer_SetInputConnection, 1,
   (char*)"V.SetInputConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (vtkAlgorithmOutput *input);\n\n Set/Get the input image to the viewer.\n"},
  {(char*)"AddInputConnection",                (PyCFunction)PyvtkImageColorViewer_AddInputConnection, 1,
   (char*)"V.AddInputConnection(vtkAlgorithmOutput)\nC++: virtual void AddInputConnection (vtkAlgorithmOutput *input);\n\n Set/Get the input image to the viewer.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkImageColorViewer_AddInput, 1,
   (char*)"V.AddInput(vtkImageData)\nC++: virtual void AddInput (vtkImageData *input);\n\n Set/Get the input image to the viewer.\n"},
  {(char*)"GetOverlayVisibility",                (PyCFunction)PyvtkImageColorViewer_GetOverlayVisibility, 1,
   (char*)"V.GetOverlayVisibility() -> float\nC++: double GetOverlayVisibility ();\n\n"},
  {(char*)"SetOverlayVisibility",                (PyCFunction)PyvtkImageColorViewer_SetOverlayVisibility, 1,
   (char*)"V.SetOverlayVisibility(float)\nC++: void SetOverlayVisibility (double vis);\n\n"},
  {(char*)"GetSliceOrientation",                (PyCFunction)PyvtkImageColorViewer_GetSliceOrientation, 1,
   (char*)"V.GetSliceOrientation() -> int\nC++: int GetSliceOrientation ();\n\n Set/get the slice orientation\n"},
  {(char*)"SetSliceOrientation",                (PyCFunction)PyvtkImageColorViewer_SetSliceOrientation, 1,
   (char*)"V.SetSliceOrientation(int)\nC++: virtual void SetSliceOrientation (int orientation);\n\n Set/get the slice orientation\n"},
  {(char*)"SetSliceOrientationToXY",                (PyCFunction)PyvtkImageColorViewer_SetSliceOrientationToXY, 1,
   (char*)"V.SetSliceOrientationToXY()\nC++: virtual void SetSliceOrientationToXY ();this SetSliceOrientation vtkImageColorViewer SLICE_ORIENTATION_XY \n\n Set/get the slice orientation\n"},
  {(char*)"SetSliceOrientationToYZ",                (PyCFunction)PyvtkImageColorViewer_SetSliceOrientationToYZ, 1,
   (char*)"V.SetSliceOrientationToYZ()\nC++: virtual void SetSliceOrientationToYZ ();this SetSliceOrientation vtkImageColorViewer SLICE_ORIENTATION_YZ \n\n Set/get the slice orientation\n"},
  {(char*)"SetSliceOrientationToXZ",                (PyCFunction)PyvtkImageColorViewer_SetSliceOrientationToXZ, 1,
   (char*)"V.SetSliceOrientationToXZ()\nC++: virtual void SetSliceOrientationToXZ ();this SetSliceOrientation vtkImageColorViewer SLICE_ORIENTATION_XZ \n\n Set/get the slice orientation\n"},
  {(char*)"GetSlice",                (PyCFunction)PyvtkImageColorViewer_GetSlice, 1,
   (char*)"V.GetSlice() -> int\nC++: int GetSlice ();\n\n Set/Get the current slice to display (depending on the orientation\n this can be in X, Y or Z).\n"},
  {(char*)"SetSlice",                (PyCFunction)PyvtkImageColorViewer_SetSlice, 1,
   (char*)"V.SetSlice(int)\nC++: virtual void SetSlice (int s);\n\n Set/Get the current slice to display (depending on the orientation\n this can be in X, Y or Z).\n"},
  {(char*)"UpdateDisplayExtent",                (PyCFunction)PyvtkImageColorViewer_UpdateDisplayExtent, 1,
   (char*)"V.UpdateDisplayExtent()\nC++: virtual void UpdateDisplayExtent ();\n\n Update the display extent manually so that the proper slice for the\n given orientation is displayed. It will also try to set a\n reasonable camera clipping range.\n This method is called automatically when the Input is changed, but\n most of the time the input of this class is likely to remain the same,\n i.e. connected to the output of a filter, or an image reader. When the\n input of this filter or reader itself is changed, an error message might\n be displayed since the current display extent is probably outside\n the new whole extent. Calling this method will ensure that the display\n extent is reset properly.\n"},
  {(char*)"GetSliceMin",                (PyCFunction)PyvtkImageColorViewer_GetSliceMin, 1,
   (char*)"V.GetSliceMin() -> int\nC++: virtual int GetSliceMin ();\n\n Return the minimum and maximum slice values (depending on the orientation\n this can be in X, Y or Z).\n"},
  {(char*)"GetSliceMax",                (PyCFunction)PyvtkImageColorViewer_GetSliceMax, 1,
   (char*)"V.GetSliceMax() -> int\nC++: virtual int GetSliceMax ();\n\n Return the minimum and maximum slice values (depending on the orientation\n this can be in X, Y or Z).\n"},
  {(char*)"GetSliceRange",                (PyCFunction)PyvtkImageColorViewer_GetSliceRange, 1,
   (char*)"V.GetSliceRange((int, int))\nC++: virtual void GetSliceRange (int range[2]);this GetSliceRange range range \n\n Return the minimum and maximum slice values (depending on the orientation\n this can be in X, Y or Z).\n"},
  {(char*)"GetColorWindow",                (PyCFunction)PyvtkImageColorViewer_GetColorWindow, 1,
   (char*)"V.GetColorWindow() -> float\nC++: virtual double GetColorWindow ();\n\n Set window and level for mapping pixels to colors.\n"},
  {(char*)"GetColorLevel",                (PyCFunction)PyvtkImageColorViewer_GetColorLevel, 1,
   (char*)"V.GetColorLevel() -> float\nC++: virtual double GetColorLevel ();\n\n Set window and level for mapping pixels to colors.\n"},
  {(char*)"SetColorWindow",                (PyCFunction)PyvtkImageColorViewer_SetColorWindow, 1,
   (char*)"V.SetColorWindow(float)\nC++: virtual void SetColorWindow (double s);\n\n Set window and level for mapping pixels to colors.\n"},
  {(char*)"SetColorLevel",                (PyCFunction)PyvtkImageColorViewer_SetColorLevel, 1,
   (char*)"V.SetColorLevel(float)\nC++: virtual void SetColorLevel (double s);\n\n Set window and level for mapping pixels to colors.\n"},
  {(char*)"SetDisplayId",                (PyCFunction)PyvtkImageColorViewer_SetDisplayId, 1,
   (char*)"V.SetDisplayId(string)\nC++: virtual void SetDisplayId (void *a);\n\n These are here when using a Tk window.\n"},
  {(char*)"SetWindowId",                (PyCFunction)PyvtkImageColorViewer_SetWindowId, 1,
   (char*)"V.SetWindowId(string)\nC++: virtual void SetWindowId (void *a);\n\n These are here when using a Tk window.\n"},
  {(char*)"SetParentId",                (PyCFunction)PyvtkImageColorViewer_SetParentId, 1,
   (char*)"V.SetParentId(string)\nC++: virtual void SetParentId (void *a);\n\n These are here when using a Tk window.\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkImageColorViewer_SetPosition, 1,
   (char*)"V.SetPosition(int, int)\nC++: virtual void SetPosition (int a, int b);\nV.SetPosition((int, int))\nC++: virtual void SetPosition (int a[2]);this SetPosition a a \n\n Set/Get the position in screen coordinates of the rendering window.\n"},
  {(char*)"SetSize",                (PyCFunction)PyvtkImageColorViewer_SetSize, 1,
   (char*)"V.SetSize(int, int)\nC++: virtual void SetSize (int a, int b);\nV.SetSize((int, int))\nC++: virtual void SetSize (int a[2]);this SetSize a a \n\n Set/Get the size of the window in screen coordinates in pixels.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkImageColorViewer_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Get the internal render window, renderer, image actor, and\n image map instances.\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkImageColorViewer_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Get the internal render window, renderer, image actor, and\n image map instances.\n"},
  {(char*)"GetImageActor",                (PyCFunction)PyvtkImageColorViewer_GetImageActor, 1,
   (char*)"V.GetImageActor() -> vtkImageActor\nC++: vtkImageActor *GetImageActor ();\n\n Get the internal render window, renderer, image actor, and\n image map instances.\n"},
  {(char*)"GetWindowLevel",                (PyCFunction)PyvtkImageColorViewer_GetWindowLevel, 1,
   (char*)"V.GetWindowLevel() -> vtkImageMapToWindowLevelColors2\nC++: vtkImageMapToWindowLevelColors2 *GetWindowLevel ();\n\n Get the internal render window, renderer, image actor, and\n image map instances.\n"},
  {(char*)"GetInteractorStyle",                (PyCFunction)PyvtkImageColorViewer_GetInteractorStyle, 1,
   (char*)"V.GetInteractorStyle() -> vtkInteractorStyleImage\nC++: vtkInteractorStyleImage *GetInteractorStyle ();\n\n Get the internal render window, renderer, image actor, and\n image map instances.\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkImageColorViewer_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: virtual void SetRenderWindow (vtkRenderWindow *arg);\n\n Set your own renderwindow and renderer\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkImageColorViewer_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *arg);\n\n Set your own renderwindow and renderer\n"},
  {(char*)"SetupInteractor",                (PyCFunction)PyvtkImageColorViewer_SetupInteractor, 1,
   (char*)"V.SetupInteractor(vtkRenderWindowInteractor)\nC++: virtual void SetupInteractor (vtkRenderWindowInteractor *);\n\n Attach an interactor for the internal render window.\n"},
  {(char*)"SetOffScreenRendering",                (PyCFunction)PyvtkImageColorViewer_SetOffScreenRendering, 1,
   (char*)"V.SetOffScreenRendering(int)\nC++: virtual void SetOffScreenRendering (int );\n\n Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n"},
  {(char*)"GetOffScreenRendering",                (PyCFunction)PyvtkImageColorViewer_GetOffScreenRendering, 1,
   (char*)"V.GetOffScreenRendering() -> int\nC++: virtual int GetOffScreenRendering ();\n\n Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n"},
  {(char*)"OffScreenRenderingOn",                (PyCFunction)PyvtkImageColorViewer_OffScreenRenderingOn, 1,
   (char*)"V.OffScreenRenderingOn()\nC++: void OffScreenRenderingOn ();\n\n Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n"},
  {(char*)"OffScreenRenderingOff",                (PyCFunction)PyvtkImageColorViewer_OffScreenRenderingOff, 1,
   (char*)"V.OffScreenRenderingOff()\nC++: void OffScreenRenderingOff ();\n\n Create a window in memory instead of on the screen. This may not\n be supported for every type of window and on some windows you may\n need to invoke this prior to the first render.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetWholeZMin",                (PyCFunction)PyvtkImageColorViewer_GetWholeZMin, 1,
   (char*)"V.GetWholeZMin() -> int\nC++: int GetWholeZMin ();\n\n @deprecated Replaced by vtkImageColorViewer::GetSliceMin() as of VTK 5.0.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetWholeZMax",                (PyCFunction)PyvtkImageColorViewer_GetWholeZMax, 1,
   (char*)"V.GetWholeZMax() -> int\nC++: int GetWholeZMax ();\n\n @deprecated Replaced by vtkImageColorViewer::GetSliceMax() as of VTK 5.0.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetZSlice",                (PyCFunction)PyvtkImageColorViewer_GetZSlice, 1,
   (char*)"V.GetZSlice() -> int\nC++: int GetZSlice ();\n\n @deprecated Replaced by vtkImageColorViewer::GetSlice() as of VTK 5.0.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetZSlice",                (PyCFunction)PyvtkImageColorViewer_SetZSlice, 1,
   (char*)"V.SetZSlice(int)\nC++: void SetZSlice (int );\n\n @deprecated Replaced by vtkImageColorViewer::SetSlice() as of VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageColorViewerDoc[] = {
  (char*)"vtkImageColorViewer - Display a 2D image.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkImageColorViewer is a convenience class for displaying a 2D image.  It\n packages up the functionality found in vtkRenderWindow, vtkRenderer,\n vtkImageActor and vtkImageMapToWindowLevelColors into a single easy to use\n class.  This class also creates an image interactor style\n (vtkInteractorStyleImage) that allows zooming and panning of images, and\n supports interactive window/level operations ",
  (char*)"on the image. Note that\n vtkImageColorViewer is simply a wrapper around these classes.\n\n vtkImageColorViewer uses the 3D rendering and texture mapping engine\n to draw an image on a plane.  This allows for rapid rendering,\n zooming, and panning. The image is placed in the 3D scene at a\n depth based on the z-coordinate of the particular image slice. Each\n call to SetSlice() changes the image data (s",
  (char*)"lice) displayed AND\n changes the depth of the displayed slice in the 3D scene. This can\n be controlled by the AutoAdjustCameraClippingRange ivar of the\n InteractorStyle member.\n\n It is possible to mix images and geometry, using the methods:\n\n viewer->SetInput( myImage );\n viewer->GetRenderer()->AddActor( myActor );\n\n This can be used to annotate an image with a PolyData of \"edges\" or\n or highlight",
  (char*)" sections of an image or display a 3D isosurface\n with a slice from the volume, etc. Any portions of your geometry\n that are in front of the displayed slice will be visible; any\n portions of your geometry that are behind the displayed slice will\n be obscured. A more general framework (with respect to viewing\n direction) for achieving this effect is provided by the\n vtkImagePlaneWidget .\n\n Note tha",
  (char*)"t pressing 'r' will reset the window/level and pressing\n shift+'r' or control+'r' will reset the camera.\n\n\n",
  "See Also:\n\n vtkRenderWindow vtkRenderer vtkImageActor vtkImageMapToWindowLevelColors\n\n",
  NULL
};

static vtkObjectBase *vtkImageColorViewerStaticNew()
{
  return vtkImageColorViewer::New();
}

PyObject *PyVTKClass_vtkImageColorViewerNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageColorViewerStaticNew,
                        PyvtkImageColorViewerMethods,
                        (char*)"vtkImageColorViewer",modulename,
                        (char**)vtkImageColorViewerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

