// python wrapper for vtkImageYBRToRGB object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageYBRToRGB.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageYBRToRGBNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageYBRToRGBNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageYBRToRGB_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageYBRToRGB *op;

  const char    *temp20;
  op = (vtkImageYBRToRGB *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageYBRToRGB::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageYBRToRGB_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageYBRToRGB *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageYBRToRGB *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageYBRToRGB::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageYBRToRGB_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageYBRToRGB *op;

  vtkImageYBRToRGB  *temp20;
  op = (vtkImageYBRToRGB *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageYBRToRGB::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageYBRToRGB_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageYBRToRGB  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageYBRToRGB::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageYBRToRGBMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageYBRToRGB_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageYBRToRGB_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageYBRToRGB_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageYBRToRGB\nC++: vtkImageYBRToRGB *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageYBRToRGB_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageYBRToRGB\nC++: vtkImageYBRToRGB *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageYBRToRGBDoc[] = {
  (char*)"vtkImageYBRToRGB - Converts YBR components to RGB.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" For each pixel with hue, saturation and value components this filter\n outputs the color coded as red, green, blue.  Output type must be the same\n as input type.\n\n",
  "See Also:\n\n vtkImageRGBToHSV\n\n",
  NULL
};

static vtkObjectBase *vtkImageYBRToRGBStaticNew()
{
  return vtkImageYBRToRGB::New();
}

PyObject *PyVTKClass_vtkImageYBRToRGBNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageYBRToRGBStaticNew,
                        PyvtkImageYBRToRGBMethods,
                        (char*)"vtkImageYBRToRGB",modulename,
                        (char**)vtkImageYBRToRGBDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

